-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 46515 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2007-08-14 07:01:24 -0400 (Tue, 14 Aug 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownSomeAddon")
L:RegisterTranslations("enUS", function() return {
    ["This Addon's Name"] = true,
    ["Some Translation"] = true,
    ["Some Other Translation"] = true,
} end)
L:RegisterTranslations("frFR", function() return {
    ["This Addon's Name"] = true,
    ["Some Translation"] = true,
    ["Some Other Translation"] = true,
} end)
L:RegisterTranslations("deDE", function() return {
    ["This Addon's Name"] = true,
    ["Some Translation"] = true,
    ["Some Other Translation"] = true,
} end)

-- constants
local SOMECONSTANT1 = "blah"
local SOMECONSTANT2 = "blahblah"

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- members
Addon.prototype.stringMember = ""
Addon.prototype.intMember = 1

-- constructor
function Addon.prototype:init()
    -- arg2 = addon's name, as recognised by the WoW API IsAddOnLoaded
    -- arg3 = addon's description, as will be shown in the menus
    Addon.super.prototype.init(self, "SomeAddon", L["Some Addon's Name"])
end

-- (optional) extra actions required after the LOD addon has been loaded
function Addon.prototype:Load()
    self:Debug("Addon:Load")

    if not Addon.super.prototype.Load(self) then return end
    
    -- this entire method is optional; put any actions that are required immediately after LOD addon has been loaded
    
    -- successful load
    return true
    
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- code to make the addon sing and dance
    -- the singing and dancing should not stop until deactivate is called

end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- code to stop all singing and dancing of this addon

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()